rev 5292 - in trunk/packages/qt-x11-free/debian: . patches

Sune Vuorela pusling-guest at alioth.debian.org
Fri Jan 12 13:03:51 CET 2007


Author: pusling-guest
Date: 2007-01-12 13:03:50 +0100 (Fri, 12 Jan 2007)
New Revision: 5292

Added:
   trunk/packages/qt-x11-free/debian/patches/62_bengali_charfix.dpatch
Modified:
   trunk/packages/qt-x11-free/debian/changelog
   trunk/packages/qt-x11-free/debian/patches/00list
Log:
the bengali fixes


Modified: trunk/packages/qt-x11-free/debian/changelog
===================================================================
--- trunk/packages/qt-x11-free/debian/changelog	2007-01-11 21:14:56 UTC (rev 5291)
+++ trunk/packages/qt-x11-free/debian/changelog	2007-01-12 12:03:50 UTC (rev 5292)
@@ -4,8 +4,16 @@
 
   * Improved debian/copyright.
 
- -- Debian Qt/KDE Maintainers <debian-qt-kde at lists.debian.org>  Sun, 31 Dec 2006 02:51:17 +0100
+  +++ Changes by Sune Vuorela
 
+  * Add fix to a bengali char:
+   Incorrect rendering of two special symbols (U0982) and (U0983) when
+   used after the consonant conjuncts comprising of the alphabet র (U09B0) +
+   <any other consonant> + <any dependent vowel>.
+   (fix mailed from upstream to distributions)
+
+ -- Debian Qt/KDE Maintainers <debian-qt-kde at lists.debian.org>  Tue,  9 Jan 2007 00:30:22 +0100
+
 qt-x11-free (3:3.3.7-2) unstable; urgency=medium
 
   +++ Changes by Sune Vuorela:

Modified: trunk/packages/qt-x11-free/debian/patches/00list
===================================================================
--- trunk/packages/qt-x11-free/debian/patches/00list	2007-01-11 21:14:56 UTC (rev 5291)
+++ trunk/packages/qt-x11-free/debian/patches/00list	2007-01-12 12:03:50 UTC (rev 5292)
@@ -39,3 +39,4 @@
 49_immodule_inputcontext_fix
 60_gnu_hurd_support
 61_fcfontmatch_fontwidth_fix
+62_bengali_charfix

Added: trunk/packages/qt-x11-free/debian/patches/62_bengali_charfix.dpatch
===================================================================
--- trunk/packages/qt-x11-free/debian/patches/62_bengali_charfix.dpatch	2007-01-11 21:14:56 UTC (rev 5291)
+++ trunk/packages/qt-x11-free/debian/patches/62_bengali_charfix.dpatch	2007-01-12 12:03:50 UTC (rev 5292)
@@ -0,0 +1,38 @@
+#! /bin/sh -e
+## 62_bengali_charfix.patch originally sent from Simon Hausmann <simon.hausmann at trolltech.com>  (Trolltech ASA)
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Fixes the view of some bengali char
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+ at DPATCH@
+--- qt-x11-free-3.3.7/src/kernel/qscriptengine_x11.cpp	Mon Jan  8 14:08:10 CET 2007
++++ qt-x11-free-3.3.7/src/kernel/qscriptengine_x11.cpp	Mon Jan  8 14:08:10 CET 2007
+
+@@ -1514,7 +1514,7 @@
+                         unsigned char pos = position[i];
+                         for (int j = i+1; j > to+1; j--) {
+                             uc[j] = uc[j-2];
+-                            position[j] = uc[j-2];
++                            position[j] = position[j-2];
+                         }
+                         uc[to] = ch;
+                         uc[to+1] = ch2;
+




More information about the pkg-kde-commits mailing list